Skip to main content
POST
Replay a run webhook

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

run_id
string
required

The id of the task run or the workflow run.

Examples:

"tsk_123"

"wr_123"

Body

application/json
webhook_url
string | null

Optional webhook URL to send the payload to instead of the stored configuration

Response

Successful Response

run_id
string
required

Identifier of the run that was replayed

run_type
string
required

Run type associated with the payload

payload
string
required

JSON payload that was delivered during the replay attempt

headers
Headers · object
required

Signed headers that were generated for the replay attempt

default_webhook_url
string | null

Webhook URL stored on the original run configuration

target_webhook_url
string | null

Webhook URL that the replay attempted to reach

status_code
integer | null

HTTP status code returned by the webhook receiver, if available

latency_ms
integer | null

Round-trip latency in milliseconds for the replay attempt

response_body
string | null

Body returned by the webhook receiver (truncated to 2KB)

error
string | null

Error message if the replay attempt failed